CLOG(3)

NAME
clog, clogf - complex base-e logarithm

SYNOPSIS

#include <complex.h>

double complex clog(double complex z);

float complex clogf(float complex z);

DESCRIPTION

These functions compute the complex natural (base-e) logarithm of z, with a branch cut along the negative real axis.

clogf is identical to clog, except that it performs its calculations on floats complex.

RETURNS

The clog functions return the complex natural logarithm value, in the range of a strip mathematically unbounded along the real axis and in the interval [-i*pi , +i*pi] along the imaginary axis.

PORTABILITY

clog and clogf are ISO C99